--Para deshabilitar los store procedures
--htg	25-Ene-2006

--Determinar la base de datos que se desea utilizar
Use northwind
Go

create procedure sp_leer_cliente
AS
begin
	select	CompanyName,
			ContactName,
			Phone,
			City			
	from	Customers
	where	Region = 'OR'
end
GO

exec sp_helptext 'sp_leer_cliente'
GO

--Encriptar el SP
alter procedure sp_leer_cliente
WITH ENCRYPTION
AS
begin
	select	CompanyName,
			ContactName,
			Phone,
			City			
	from	Customers
	where	Region = 'OR'
end
GO

exec sp_helptext 'sp_leer_cliente'
GO

--Desencriptar el SP
alter procedure sp_leer_cliente
AS
begin
	select	CompanyName,
			ContactName,
			Phone,
			City			
	from	Customers
	where	Region = 'OR'
end
GO

--Determinar el estado actual del SP
select	status, *
from	sysobjects
Where	name like 'sp_leer_cliente'
and		xtype = 'P' --procedure

--Configurar la base de datos, con el fin de permitir actualizaciones al sistema
sp_configure 'allow updates', 1	--1:Permite las actualizaciones
RECONFIGURE with override	--Es necesario para que tome los cambios
EXEC sp_configure	--Muestra las opciones
GO

--Cambiar los parametros en SysObjects
Update	sysobjects
Set		status = -536870912
Where	name like 'sp_leer_cliente'
and		xtype = 'P' --procedure
GO

--Reconfigurar la BD
sp_configure 'allow updates', 0	--0:No permite las actualizaciones
RECONFIGURE with override	--Es necesario para que tome los cambios
EXEC sp_configure	--Muestra las opciones
GO

exec sp_leer_cliente